from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XLayoutManagerEventBroadcaster(XInterface, Protocol):
    def addLayoutManagerEventListener(self, aLayoutManagerListener: XLayoutManagerListener) -> None: ...
    def removeLayoutManagerEventListener(self, aLayoutManagerListener: XLayoutManagerListener) -> None: ...
